MockitoJUnitRunner
Date: 2015-09-18

org.mockito.runners

## Class MockitoJUnitRunner

- java.lang.Object
- - org.junit.runner.Runner
  - - org.mockito.runners.MockitoJUnitRunner

- All Implemented Interfaces:
    org.junit.runner.Describable, org.junit.runner.manipulation.Filterable
  Direct Known Subclasses:
    MockitoJUnit44Runner

      public class MockitoJUnitRunner
      extends org.junit.runner.Runner
      implements org.junit.runner.manipulation.Filterable

  Compatible with JUnit 4.4 and higher, this runner adds following behavior:
  - Initializes mocks annotated with `Mock`, so that explicit usage of `MockitoAnnotations.initMocks(Object)` is not necessary. Mocks are initialized before each test method.
  - validates framework usage after each test method. See javadoc for `Mockito.validateMockitoUsage()`.
  Runner is completely optional - there are other ways you can get @Mock working, for example by writing a base class. Explicitly validating framework usage is also optional because it is triggered automatically by Mockito every time you use the framework. See javadoc for `Mockito.validateMockitoUsage()`.

  Read more about @Mock annotation in javadoc for `MockitoAnnotations`

       @RunWith(MockitoJUnitRunner.class)
       public class ExampleTest {

           @Mock
           private List list;

           @Test
           public void shouldDoSomething() {
               list.add(100);
           }
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockitoJUnitRunner(java.lang.Class<?> klass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filter(org.junit.runner.manipulation.Filter filter)`
    `org.junit.runner.Description` | `getDescription()`
    `void` | `run(org.junit.runner.notification.RunNotifier notifier)`

    - ### Methods inherited from class org.junit.runner.Runner

      `testCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockitoJUnitRunner

          public MockitoJUnitRunner(java.lang.Class<?> klass)
                             throws java.lang.reflect.InvocationTargetException

      Throws:
        `java.lang.reflect.InvocationTargetException`

  - ### Method Detail

    - #### run

          public void run(org.junit.runner.notification.RunNotifier notifier)

      Specified by:
        `run` in class `org.junit.runner.Runner`

    - #### getDescription

          public org.junit.runner.Description getDescription()

      Specified by:
        `getDescription` in interface `org.junit.runner.Describable`
      Specified by:
        `getDescription` in class `org.junit.runner.Runner`

    - #### filter

          public void filter(org.junit.runner.manipulation.Filter filter)
                      throws org.junit.runner.manipulation.NoTestsRemainException

      Specified by:
        `filter` in interface `org.junit.runner.manipulation.Filterable`
      Throws:
        `org.junit.runner.manipulation.NoTestsRemainException`